<!DOCTYPE html>
<html lang="en">
<head th:replace="fragments/layout.html :: head('Spotiplon - Album '+${album.name})">    
</head>
<body>

    <div class="card mb-3">
        <div class="row g-0">
          <div class="col-md-4">
            <img th:src="${album.cover}" class="img-fluid rounded-start" th:alt="${album.name}">
          </div>
          <div class="col-md-8">
            <div class="card-body">
              <h1 class="card-title" th:text="${album.name}">Card title</h1>
              <p class="card-text">
                <img th:src="${album.artist.picture}" class="img-fluid rounded-circle" width="100" th:alt="${album.artist.name}">
                <a th:href="@{/artist/}+${album.artist.id}" th:text="${album.artist.name}"></a>
              </p>
              <p class="card-text"><small class="text-muted">Released : <span th:text="${album.released}"></span></small></p>
              <p class="card-text"><small class="text-muted">Songs count : <span th:text="${album.songs.size}"></span></small></p>
              <p class="card-text"><small class="text-muted">Total duration : <span th:text="${album.duration}"></span></small></p>
            </div>
          </div>
        </div>
      </div>
      <table class="table table-hover">
        <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">Name</th>
            <th scope="col">Player</th>
            <th scope="col">Duration</th>
          </tr>
        </thead>
        <tbody>
            <tr th:each="song : ${album.songs}">
                
                <td th:text="${songStat.index+1}"></td>
                <td th:text="${song.name}"></td>
                <td><audio controls th:src="${song.file}"></audio></td>
                <td th:text="${song.duration}"></td>
            </tr>
            
        </tbody>
      </table>

    <div th:replace="fragments/layout.html :: foot"></div>
</body>
</html>
